Bug 217844 - Dialup works, Fax tries to use class 2 instead of 1on CNet 5614XE
Dialup works, Fax tries to use class 2 instead of 1on CNet 5614XE
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mgetty (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Nagy
http://www.hylafax.org/archive/2005-0...
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-30 06:30 EST by Danie Wessels
Modified: 2016-07-26 19:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-26 05:04:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Danie Wessels 2006-11-30 06:30:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; af; rv:1.8.0.7) Gecko/20060909 Firefox/1.5.0.7

Description of problem:
I am unable to send faxes. It seemed to be identified as Mutlitech 2834ZDXv type chipset instead of Intel AMB3100
Fax tries to use class 2 instead of 1.
Modem: CNet 56k External Voice Data Fax modem 
Model: CN5614XE ,PN: 18-1E-E51F-3H
Where can it be adjusted (and auto configured)? 
No voice setup yet. It looks like it has limited voice support.
Sendfax exits with error Class 2 not supported. Which seems to be correct.
Dailup has logged out unexpectedly at times (Probably not related to setup?)
See additional information below.

Version-Release number of selected component (if applicable):
mgetty and vgetty of fc6

How reproducible:
Always


Steps to Reproduce:
1. SELinux as permissive as root:
2. Use sendfax from commandline to try to fax with good parameters
3.

Actual Results:
Error report on commandline and in log file.

Expected Results:
wvdialconf or some other setup to correctly configure and detect class 1 as supported.

Additional info:
With minicom with ln -s /dev/ttyS1 /dev/modem
---
at+fclass=?
0,1,8

AT I0 I1 I2 I3 I4 I5 I6 I7 I8
57600

CD08.55 - 747 SERIAL - DSP PATCH: 3.26

ROM TEST OK

MD56xx

Intel Corporation                                                               
                                                                                
Full V.92 Upgradeable                                                           
Present, 32K DSP RAM.000                                                        
Host I/F: Serial                                                                
P. Mem. : 008 Bit 001 W.S.                                                      
D. Mem  : 008 Bit 001 W.S.                                                      
DSP loc : INT ROM                                                               
                                                                                
Intel Corporation                                                               
                                                                                
21F10 

AMB3100\12345678\MODEM\AMB3100\Intel V92 External Modem76
---
Note: ati6 just returned OK.

/var/log/sendfax.log (or something)
--
11/29 23:58:08  sendfax: interim release 1.1.33-Apr10
11/29 23:58:08   sendfax.c compiled at Aug 21 2006, 09:39:24
11/29 23:58:08  sending fax to 6412704
11/29 23:58:08  checking /home/Cornelia/Desktop/AnderInligting/page1.g3
11/29 23:58:08   makelock(ttyS1) called
11/29 23:58:08   do_makelock: lock='/var/lock/LCK..ttyS1'
11/29 23:58:08   lock made
11/29 23:58:08   tss: set speed to 38400 (017)
11/29 23:58:08   tio_set_flow_control( HARD )
11/29 23:58:08 yS1   fax_open_device succeeded, ttyS1 -> 4
11/29 23:58:08 yS1   reading specific data for port 'ttyS1'
11/29 23:58:08 yS1   reading /etc/mgetty+sendfax/sendfax.config...
11/29 23:58:08 yS1   conf lib: read: 'verbose y'
11/29 23:58:08 yS1   conf lib: read: 'debug 5'
11/29 23:58:08 yS1   conf lib: read: 'fax-devices ttyS1'
11/29 23:58:08 yS1   conf lib: read: 'fax-id 27 126632555'
11/29 23:58:08 yS1   conf lib: read: 'max-tries 3'
11/29 23:58:08 yS1   conf lib: read: 'max-tries-continue y'
11/29 23:58:08 yS1   conf lib: read: 'port ttyS1'
11/29 23:58:08 yS1   section: port ttyS1, **found**
11/29 23:58:08 yS1   conf lib: read: 'debug 7'
11/29 23:58:08 yS1   conf lib: read: 'modem-type cls1'
11/29 23:58:08 yS1   key: 'fax-devices', type=1, flags=4, data=(ignored)
11/29 23:58:08 yS1   key: 'modem-init', type=1, flags=0, data=(empty)
11/29 23:58:08 yS1   key: 'modem-handshake', type=1, flags=0, data=(empty)
11/29 23:58:08 yS1   key: 'modem-type', type=1, flags=3, data=cls1
11/29 23:58:08 yS1   key: 'modem-quirks', type=0, flags=0, data=(empty)
11/29 23:58:08 yS1   key: 'fax-send-flow', type=4, flags=1, data=7
11/29 23:58:08 yS1   key: 'fax-rec-flow', type=4, flags=1, data=7
11/29 23:58:08 yS1   key: 'max-tries', type=0, flags=3, data=3
11/29 23:58:08 yS1   key: 'max-tries-continue', type=3, flags=3, data=TRUE
11/29 23:58:08 yS1   key: 'speed', type=0, flags=1, data=38400
11/29 23:58:08 yS1   key: 'switchbd', type=0, flags=1, data=0
11/29 23:58:08 yS1   key: 'open-delay', type=0, flags=0, data=(empty)
11/29 23:58:08 yS1   key: 'ignore-carrier', type=3, flags=1, data=TRUE
11/29 23:58:08 yS1   key: 'dial-prefix', type=1, flags=1, data=ATD
11/29 23:58:08 yS1   key: 'fax-id', type=1, flags=3, data=27 126632564
11/29 23:58:08 yS1   key: 'poll-dir', type=1, flags=1, data=.
11/29 23:58:08 yS1   key: 'normal-res', type=3, flags=1, data=FALSE
11/29 23:58:08 yS1   key: 'fax-min-speed', type=0, flags=1, data=0
11/29 23:58:08 yS1   key: 'fax-max-speed', type=0, flags=1, data=14400
11/29 23:58:08 yS1   key: 'debug', type=0, flags=3, data=7
11/29 23:58:08 yS1   key: 'verbose', type=3, flags=3, data=TRUE
11/29 23:58:08 yS1   key: '', type=3, flags=1, data=FALSE
11/29 23:58:08 yS1   key: 'page-header', type=1, flags=0, data=(empty)
11/29 23:58:08 yS1   key: '', type=3, flags=1, data=FALSE
11/29 23:58:08 yS1   key: '', type=3, flags=1, data=FALSE
11/29 23:58:08 yS1   key: '', type=1, flags=1, data=
11/29 23:58:08 yS1   tss: set speed to 38400 (017)
11/29 23:58:08 yS1  mdm_send: 'ATV1Q0'
11/29 23:58:08 yS1    got:[0d][0a]OK[0d]
11/29 23:58:08 yS1   mdm_command: string 'OK' -> OK
11/29 23:58:09 yS1  mdm_send: 'AT+FCLASS=2'
11/29 23:58:09 yS1    got:[0a][0d][0a]ERROR[0d]
11/29 23:58:09 yS1   mdm_command: string 'ERROR' -> ERROR
11/29 23:58:09 ##### failed: no class 2/2.0 fax modem, dev=ttyS1

11/29 23:58:09 yS1  fax_send: 'AT+FCLASS=0'
11/29 23:58:09 yS1   removing lock file
---
# sendfax configuration file
# this is a sample configuration file, see mgetty.info for details
# ----- global section -----
# In this section, you put the global defaults, per-port stuff is below
# tell everybody what's going on
verbose y
# ... and send everything to the log file (quite detailed)
debug 5

# which devices to use for outgoing faxes
# fax-devices modem
fax-devices ttyS1
# which fax number to transmit to the receiving station
fax-id 27 126632555
# try transmitting every page three times, continue if 3rd try fails as well
max-tries 3
max-tries-continue y

# ----- port specific section -----
port ttyS1
# Multitech 2834ZDXv is not CNet 56K FAX Modem
  debug 7
#
Comment 1 Danie Wessels 2006-11-30 06:54:17 EST
See also 
http://www.hylafax.org/archive/2005-05/msg00225.php
This might have an answer. (No, I am not using hylafax)
Comment 2 Bug Zapper 2008-04-04 01:01:03 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Danie Wessels 2008-04-26 05:04:17 EDT
I am sorry (or glad?) to report that the lightning struck this modem beyond
repair and I can no longer provide more information. After replacement with a
new modem and an upgrade to Fedora 8 (from FC6) I will no longer be able to
advise on this issue.

Note You need to log in before you can comment on or make changes to this bug.